Find Merchant
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id} \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id}"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"id": "4",
"token": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30",
"name": "Lazer Sports",
"aggregator_id": "agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e",
"merchant_id": "mer_dd0aa205-5b38-4691-bf1e-d30524c5be97",
"merchant_external_id": "sec_0e84768c-048e-4946-9066-ea199fec7722",
"bank_account_id": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
"enabled": true,
"created_at": "2025-03-13T09:13:25Z",
"updated_at": "2025-06-03T11:44:56Z",
"bank_account": {
"id": "11",
"token": "acc_c03a57cb-a616-42a7-b1dc-de473217a558",
"vault_token": "lock_464309f2-572f-493f-8272-e503277b06fd",
"title": "SYED MUHAMMAD HAQANI",
"iban": "PK84HABB0164030050128594",
"redacted_iban": "PK84HABB************8594",
"hashed_iban": "TAQswoYYIJaiPH15TAS5+tnFe7yDOK0kWP2wgSXwi7k=",
"servicer": "HABBPKKARTG",
"bank": "",
"depositor_id": "dep_31b1166f-de14-4e66-ba4a-2a321ca55a77",
"owner": "raast",
"kind": 5,
"version": "v1",
"created_at": "2025-03-13T09:12:35Z",
"updated_at": "2025-03-13T09:12:35Z"
},
"raast_merchant": {
"id": "4",
"token": "mer_dd0aa205-5b38-4691-bf1e-d30524c5be97",
"partner_id": "partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c",
"raast_record_id": "478619",
"status": "Inactive",
"uid_type": "NTN",
"uid_value": "4220111082020",
"name": "Lazer Sports",
"document_type": "NTN",
"document_number": "4220111082026",
"address_details": {
"country": "PK",
"city": "Karachi",
"state_province_region": "Sindh",
"address_line": "Federal.B. Area"
},
"contact_details": {
"mobile_number": "+923001234926",
"email": "testingbyHas@gesafepay.com"
},
"additional_details": {
"dba": "The best business 001",
"mcc": "5633",
"lat": "",
"long": ""
},
"additional_details_private": {},
"created_at": "2025-03-13T09:13:23Z",
"updated_at": "2025-06-03T11:44:56Z"
},
"rate_card": {
"id": "23",
"token": "mrc_50f44cfa-7fc4-4111-82db-84233aeb7d04",
"aggregator_merchant_id": "am_749fe6ce-91f9-4f6a-9df2-ec6ae9f75a30",
"connector_id": "conn_c05caf8c-1f8d-4e58-bcfd-833531500693",
"rate_card_id": "rc_4a61062c-c3a7-4dee-8199-f122eb9d90d3",
"ratecard_kind": "RateCardKind_fixed",
"created_at": "2025-03-13T09:13:23Z",
"updated_at": "2025-06-03T11:44:57Z",
"fixed_rate": "40000",
"tax_rate": 0,
"tax_region": ""
}
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Merchants
Find Merchant
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
merchants
/
{aggregator-merchant-id}
Find Merchant
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
The unique identifier for the merchant
Example:
"am_be454a50-7612-4dc6-a97e-284ebbe7ae93"
Was this page helpful?
⌘I